### Method

# Ide BufferManager apply_edits_async

#### Declaration

    void
    ide_buffer_manager_apply_edits_async (
      IdeBufferManager* self,
      GPtrArray* edits,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that all of `edits` are applied to the buffers in the project. If the buffer has not been loaded for a particular edit, it will be loaded.

`callback` should call `ide_buffer_manager_apply_edits_finish()` to get the result of this operation.

Available since: | 3.32

#### Parameters

`edits` | An array of `None`
| An `GPtrArray` of `IdeTextEdit`.
| The instance takes ownership of the data, and is responsible for freeing it.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The callback to complete the request.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.